Package com.independentsoft.office.spreadsheet.connections

# Class DatabaseProperties

java.lang.Object
com.independentsoft.office.spreadsheet.connections.DatabaseProperties

public class DatabaseProperties extends Object
The Class DatabaseProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DatabaseProperties()`
  Instantiates a new database properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatabaseProperties`
  `clone()`
  `String`
  `getCommand()`
  Gets the command.
  `CommandType`
  `getCommandType()`
  Gets the command type.
  `String`
  `getConnection()`
  Gets the connection.
  `String`
  `getServerCommand()`
  Gets the server command.
  `void`
  `setCommand​(String command)`
  Sets the command.
  `void`
  `setCommandType​(CommandType commandType)`
  Sets the command type.
  `void`
  `setConnection​(String connection)`
  Sets the connection.
  `void`
  `setServerCommand​(String serverCommand)`
  Sets the server command.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DatabaseProperties

    public DatabaseProperties()
    Instantiates a new database properties.

- ## Method Details

  - ### clone

    public DatabaseProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCommand

    public String getCommand()
    Gets the command.
    Returns:
      the command

  - ### setCommand

    public void setCommand​(String command)
    Sets the command.
    Parameters:
      `command` - the new command

  - ### getCommandType

    public CommandType getCommandType()
    Gets the command type.
    Returns:
      the command type

  - ### setCommandType

    public void setCommandType​(CommandType commandType)
    Sets the command type.
    Parameters:
      `commandType` - the new command type

  - ### getConnection

    public String getConnection()
    Gets the connection.
    Returns:
      the connection

  - ### setConnection

    public void setConnection​(String connection)
    Sets the connection.
    Parameters:
      `connection` - the new connection

  - ### getServerCommand

    public String getServerCommand()
    Gets the server command.
    Returns:
      the server command

  - ### setServerCommand

    public void setServerCommand​(String serverCommand)
    Sets the server command.
    Parameters:
      `serverCommand` - the new server command